Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1134100

Description of problem:

When a user has capsule(s) attached to an instance, and attempts to publish/promote content, said content is synced twice to

capsule -- once during the initial publish process and then again afterwards.

Version-Release number of selected component (if applicable):

Satellite-6.0.4-RHEL-6-20140823.0

How reproducible:

Steps to Reproduce:

1.  Attach a capsule to your sat

2.  Create a content view and attempt to publish/promote it.

3.  Note dynflow tasks and/or possibly just talk w/ a knowledgeable developer who understands what the heck is going on (jsherrill!)

Actual results:

Apparently, this is the situation.

Previously, as part of a publish, new content was immediately pushed out to capsules as part of that publish

There was discussion to break this into two tasks - do initial pub/promote to library and spawn a second task to sync.

I am not sure whether a real decision was made on the behavior in the bullet above, but whatever the case, we're apparently

still doing a sync during the initial publish -- followed by a second sync immediately after.

Expected results:

Apparently there was a lot of discussion between dev on how to handle the sync, whether to keep it as one big monolithic function

(promote/publish/capsule sync) or break it out (promote/pub THEN content sync).  As an end user I think the second behavior is

more palatable because otherwise user is sitting there on a publish that takes ages and user has no idea why.  Regardless, we

shouldn't be syncing twice, independent of workflow decision.

Additional info:

Associated revisions

Revision b50dc0e4 - 08/27/2014 01:28 PM - Justin Sherrill

fixes #7273 - sync puppet and rpm content together

previously there was a task spawned to sync rpm content to the capsule

when puppet content sync to the capsule was added, it was not added in

this 2nd task.  This commit moves puppet syncing to that 2nd, spanwed task.

Revision ffb61fd8 - 09/09/2014 02:19 PM - Justin Sherrill

Merge pull request #4617 from jlsherrill/7273

fixes #7273 - capsule sync puppet and rpm content together
History

#1 - 08/26/2014 05:45 PM - Justin Sherrill

- Target version set to 55

- translation missing: en.field_release set to 13

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/26/2014 05:53 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4617 added

- Pull request deleted ()

#3 - 09/08/2014 08:14 AM - Eric Helms

- Target version changed from 55 to 56

#4 - 09/09/2014 03:01 PM - Justin Sherrill

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|b50dc0e4e85bd0f46d65775c35f0050c4a62c988.
